
////////
//FACE//
////////
struct OCTFACE
{
	//vertexi
	VECTOR3D P[3]; //pozicia
	VECTOR2D T1[3]; //texturove kordinaty 
	VECTOR2D T2[3]; //texturove kordinaty 
	VECTOR3D N[3]; //normala

	PLANE Plane; //rovina trojholnika

	bool Visible; //ci je viditelny

	int Index; //index - poradie
	int Group;  //index skupiny

};

/////////
//GROUP//
/////////
struct OCTGROUP
{ 

	//textura
	LPDIRECT3DTEXTURE9 *g_pTexture; 
	int NumTextures;
	float TextureTime;
	float ActTime;
	int ActTexture;

	//vlastnosti
	int Index;
	int CollisionType;
	int MaterialType;
	int BlendType;
	int GroupType;
	int Specular;
	int SmoothShading;

	//pole VB
	int NumVisibleFaces;
	int StartVertex;
	
};

/*
BLENDTYPE
0-None
1-Trans
2-Full
GROUPTYPE
0 - normal
1 - animated texture
2 - multitexture
3 - enviroment mapping
SMOOTHSHADING
0-no smoosth shading
1-calc smooth shading
COLLISION
0-collision
1-no collision
*/


/////////
//NODE //
/////////
struct OCTNODE
{
	VECTOR3D Centre; //stred
	VECTOR3D Min;
	VECTOR3D Max;
	float Polomer;

	int NumFaces; //pocet 
	bool EndNode;

	OCTNODE *Node[8];
	int *FaceList; //pole indexov 

    //  z
	//+-+-+ -y
	//|0|1|
	//+-+-+ x>
	//|2|3|
	//+-+-+

	//  z
	//+-+-+ +y
	//|4|5|
	//+-+-+ x>
	//|6|7|
	//+-+-+
		
};

//////////
//RNODE //
//////////pre citanie a zapis stromu
struct OCTRNODE
{
	VECTOR3D Centre; //stred
	VECTOR3D Min;
	VECTOR3D Max;
	float Polomer;

	bool EndNode;

	int NumFaces; //pocet 
	
 
};




